PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

Get a contact's sequence state GETEnroll a contact in a sequence POSTStop a contact's open sequence POSTPause a contact's active sequence for a human POSTResume a contact's paused sequence POSTList sequences GETCreate a sequence POSTGet a sequence GETUpdate a sequence PATCHSequence stats GETList sequence enrollments GETArchive a sequence POSTBulk-stop enrollments POSTBulk-pause enrollments POST
Sequences

Update a sequence

Set `archived` to stop new enrollments; open ones keep running.

PATCH
/sequences/{sequenceId}

Set archived to stop new enrollments; open ones keep running.

Authorization

x-api-key<token>

In: header

Path Parameters

sequenceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/sequences/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "workspaceId": "string",    "key": "string",    "name": "string",    "description": "string",    "priority": 0,    "isMarketing": true,    "stopOnInboundMessage": true,    "stopOnPurchase": true,    "stopOnDealClosed": true,    "lane": "SALES",    "archivedAt": "2019-08-24T14:15:22Z",    "activeCount": 0,    "pausedCount": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

Get a sequence GET

Previous Page

Sequence stats GET

Open counts plus completed/stopped in the window (default 30 days).

key?string

Lowercase letters, numbers, dashes. Defaults to the name.

name*string
description?string
priority?integer
Range-1000 <= value <= 1000
isMarketing?boolean
stopOnInboundMessage?boolean
stopOnPurchase?boolean
stopOnDealClosed?boolean
lane?SequenceLane

Cannot change after anyone has been enrolled.

Value in

  • "SALES"
  • "CLIENT"
archived?boolean